"{ Package: 'stx:goodies/monticello' }"

Object subclass:#MCDoItParser
	instanceVariableNames:'source'
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Chunk Format'
!


!MCDoItParser class methodsFor:'as yet unclassified'!

concreteSubclasses
	^ self allSubclasses reject: [:c | c isAbstract]
!

forDoit: aString	
	| c |
	^ (c := self subclassForDoit: aString) ifNotNil: [c new source: aString]
!

isAbstract
	^ self pattern isNil
!

pattern
	^ nil
!

subclassForDoit: aString
	^ self concreteSubclasses detect: [:ea | ea pattern match: aString] ifNone: []
! !

!MCDoItParser methodsFor:'as yet unclassified'!

addDefinitionsTo: aCollection
	self subclassResponsibility 
!

source
	^ source
!

source: aString
	source := aString
! !

!MCDoItParser class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCDoItParser.st,v 1.3 2011-08-20 12:22:25 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCDoItParser.st,v 1.3 2011-08-20 12:22:25 cg Exp $'
!

version_SVN
    ^ 'Id: MCDoItParser.st 17 2010-10-13 12:07:52Z vranyj1 '
! !
